###############################################################################
# Nooz.pl                                                                     #
###############################################################################
# YaBB: Yet another Bulletin Board                                            #
# Open-Source Project started by Zef Hemel (zef@zefnet.com)                   #
# Software Version: YaBB 1 Gold - Release                                     #
# =========================================================================== #
# Software Distributed by:    http://yabb.xnull.com                           #
# Support, Nooz, Updates at:  http://yabb.xnull.com/community/                #
# =========================================================================== #
# Copyright (c) 2000-2001 X-Null - All Rights Reserved                        #
# Software by: The YaBB Development Team                                      #
###############################################################################

$recentplver="1 Gold - SP1";

$useheader_footer = 1;	#if you use PHP or SSI,change to '0'
$iscomment="Comment"; ###HbBB
$iscomment2="Comments"; ###HbBB


$showcomments = "view";
$writecomments = "Write Comment";
$display = 10;
$archivlink = qq~<center><a href="./archiv.php"><b>Archiv</b></a></center>~;





sub ShowNooz {

	$currcat = &BoardCatGet($currentboard);
	$curboard = $currentboard;
      unless ( $currcat ) { &fatal_error("Cat not found"); }
	unless( &BoardAccessGet($currentboard) ) { &fatal_error( $txt{'1'} ); }

		chomp $curboard;
		fopen(FILE, "$boardsdir/$curboard.txt");
		@threads = <FILE>;
		fclose(FILE);

		for ($i = 0; $i < @threads; $i++) {
			chomp $threads[$i];
			($tnum, $tsub, $tname, $temail, $tdate, $treplies, $tusername, $ticon, $tstate) = split( /\|/, $threads[$i] );
			fopen(FILE, "$datadir/$tnum.txt") || next;
			@messages2 = <FILE>;
			fclose(FILE);				

			$message = $messages2[0];
			chomp $message;
			if( $message ) {
				($msub, $mname, $memail, $mdate, $musername, $micon, $mattach, $mip, $message, $mns) = split(/\|/,$message);
				$mtime = stringtotime($mdate);
				$data{$mtime} = [$curboard, $tnum, $treplies, $tusername, $tname, $msub, $mname, $memail, $mdate, $musername, $micon, $mattach, $mip, $message, $mns, $treplies]; ###HbBB
			}
		}


	@messages2 = sort {$b <=> $a } keys %data;

	print "Content-type: text/html\n\n";
        if($useheader_footer == 1){&NoozHeader;}

	$showarchiv = 0;
	if( @messages2 ) {
		if( @messages2 > $display && $INFO{'archiv'} ne 1) { $#messages2 = $display - 1; $showarchiv = 1; }
		$counter = 1;
		# Load Censor List
		&LoadCensorList;
	}
	else {
		print qq~<hr><b>No Entries available</b><hr>~;
	}
	if ($INFO{'archiv'} eq 1) { $tmp = $display; } else { $tmp = 0 }
	for( $i = $tmp; $i < @messages2; $i++ ) {
		($board, $tnum, $c, $tusername, $tname, $msub, $mname, $memail, $mdate, $musername, $micon, $mattach, $mip, $message, $mns, $antworten) = @{ $data{$messages2[$i]} }; ###HbBB

		foreach (@censored) {
			($tmpa,$tmpb) = @{$_};
			$message =~ s~\Q$tmpa\E~$tmpb~gi;
			$msub =~ s~\Q$tmpa\E~$tmpb~gi;
		}
	if($enable_ubbc) { require "$sourcedir/YaBBC.pl"; &DoUBBC; }

		fopen(TEMPLATE,"nooz_main.html") || die("$txt{'23'}: nooz_main.html");
		@nooz_template = <TEMPLATE>;
		fclose(TEMPLATE);
	
		$noozdate = &timeformat($mdate);
		$nooztitle = $msub;
		$noozauthor = $tname;
		$noozmessage = $message;
#HbBB
		if ($antworten eq 1) {$mehr=$iscomment;} else {$mehr=$iscomment2;}
		if ($antworten ne 0) {$noozcomments = qq~$antworten $mehr, <a href="$scripturl?board=$board&action=display&num=$tnum&start=$c" target="_blank">$showcomments</a> \| ~;} else {$noozcomments="";}
##HbBB
		$nooznewcomment = qq~<a href="$scripturl?board=$board&action=post&num=$tnum&start=$c&title=Post+reply" target="_blank">$writecomments</a>~;
		$noozicon = qq~<img src="$imagesdir/$micon.gif">~;

		for( $nooz_templatemain = 0; $nooz_templatemain < @nooz_template; $nooz_templatemain++ ) {
			$nooz_curline = $nooz_template[$nooz_templatemain];
			$nooz_curline =~ s~<yabb\s+(\w+)>~${"nooz$1"}~g;
			print $nooz_curline;
		}

		++$counter;
	}

	if ($showarchiv eq 1 && $INFO{'archiv'} ne 1) { print $archivlink; }
      if($useheader_footer == 1){&NoozFooter;}
	exit;
}

# Output Header
sub NoozHeader {
	fopen(TEMPLATE,"nooz_header.html") || die("$txt{'23'}: nooz_header.html");
	@nooz_header = <TEMPLATE>;
	fclose(TEMPLATE);
        
        $nooztitle = $boardname;
	for( $nooz_headermain = 0; $nooz_headermain < @nooz_header; $nooz_headermain++ ) {
		$nooz_header_curline = $nooz_header[$nooz_headermain];
		$nooz_header_curline =~ s~<yabb\s+(\w+)>~${"nooz$1"}~g;
		print $nooz_header_curline;
        }
}

# Output Footer
sub NoozFooter {
	fopen(TEMPLATE,"nooz_footer.html") || die("$txt{'23'}: nooz_footer.html");
	@nooz_footer = <TEMPLATE>;
	fclose(TEMPLATE);
        print "$nooz_footer";
	for( $nooz_footermain = 0; $nooz_footermain < @nooz_footer; $nooz_footermain++ ) {
		$nooz_footer_curline = $nooz_footer[$nooz_footermain];
		print $nooz_footer_curline;
        }
}

1;